<% set_page_title(@form.name) %>

<% content_for :back_link, govuk_back_link_to(form_path(@form), t("back_link.form_create")) %>

<div class="govuk-grid-row">
  <div class="govuk-grid-column-two-thirds">

    <% if !FeatureService.enabled?(:draft_live_versioning) and @form.has_live_version %>
      <%= render LiveFormWarningComponent::View.new() %>
    <% end %>

    <h1 class="govuk-heading-l govuk-!-margin-bottom-2">
      <span class="govuk-caption-l"><%= @form.name %></span><span class="govuk-visually-hidden"> - </span>
      <%= t("pages.index.title") %>
    </h1>
    <dl class="govuk-!-margin-bottom-7">
      <dt class="govuk-visually-hidden">Status</dt>
      <dd class="govuk-!-margin-0"><%= render FormStatusTagComponent::View.new(status: ( FeatureService.enabled?(:draft_live_versioning) ? :draft : @form.status )) %></dd>
    </dl>

    <% if flash[:message] %>
      <p class="govuk-body"><%= flash[:message] %></p>
    <% end %>
    <div class="govuk-button-group">
      <%= govuk_button_link_to t("pages.index.add_question"), type_of_answer_new_path(@form), class:"govuk-!-margin-bottom-3 govuk-!-margin-top-3" %>
      <% if policy(@form).can_add_page_routing_conditions? %>
        <%= govuk_button_link_to "Add a question route", routing_page_path(@form), secondary: true, class:"govuk-!-margin-bottom-3 govuk-!-margin-top-3" %>
      <% end %>
      <%= render PreviewLinkComponent::View.new(@pages, link_to_runner(Settings.forms_runner.url, @form.id, @form.form_slug)) %>
    </div>

    <% if @pages.any? %>
      <h2 class="govuk-heading-m govuk-!-margin-top-7 govuk-!-margin-bottom-0"><%= t("forms.form_overview.your_questions") %></h2>
      <%= render PageListComponent::View.new(pages: @pages, form_id: @form.id) %>
      <%= render MarkCompleteComponent::View.new(form_model: @mark_complete_form, path: form_pages_path(@form), legend: t("pages.index.mark_complete.legend")) %>
    <% end %>

  </div>
</div>
